Add Provisioned Identity Certificate

post

/management/weblogic/{version}/domainRuntime/domainKeystoresRuntime/addProvisionedIdentityCertificate

Add a provisioned identity certificate to the domain. JKS and PKCS12 inputs use fromAlias and fromAliasPassphrase. A PEM input contains one PKCS#8 private key, the matching leaf certificate, and an optional certificate chain; fromAlias and fromAliasPassphrase are ignored for PEM input and fromFilePassphrase decrypts an encrypted PKCS#8 key.

Remote callers must use an encrypted management transport such as T3S or HTTPS.

Request

Supported Media Types
Path Parameters
Header Parameters
  • The 'X-Requested-By' header is used to protect against Cross-Site Request Forgery (CSRF) attacks. The value is an arbitrary name such as 'MyClient'.
Body ()

Must contain the following fields:

Root Schema : Arguments
Type: object
Title: Arguments
Show Source
Security
  • Type: basic
    Description: A user in the Admin security role.
Back to Top

Response

200 Response

Returns the following fields:

Back to Top